EBOOK-CONVERT(1)

NAME
ebook-convert - ebook-convert

ebook-convert input_file output_file [options]

Convert an e-book from one format to another.

input_file is the input and output_file is the output. Both must be specified as the first two arguments to the command.

The output e-book format is guessed from the file extension of output_file. output_file can also be of the special format .EXT where EXT is the output file extension. In this case, the name of the output file is derived from the name of the input file. Note that the filenames must not start with a hyphen. Finally, if output_file has no extension, then it is treated as a directory and an »open e-book« (OEB) consisting of HTML files is written to that directory. These files are the files that would normally have been passed to the output plugin.

After specifying the input and output file you can customize the conversion by specifying various options. The available options depend on the input and output file types. To get help on them specify the input and output file and then use the -h option.

For full documentation of the conversion system see conversion

Whenever you pass arguments to ebook-convert that have spaces in them, enclose the arguments in quotation marks. For example: »/some path/with spaces«

The options and default values for the options change depending on both the input and output formats, so you should always check with:

ebook-convert myfile.input_format myfile.output_format -h

Below are the options that are common to all conversion, followed by the options specific to every input and output format.

•   INPUT VALGMULIGHEDER

•   OUTPUT VALGMULIGHEDER

•   Udseende og opførelse

•   HEURISTISK BEHANDLING

•   SØG OG ERSTAT

•   STRUKTURDETEKTERING

•   INDHOLDSFORTEGNELSE

•   METADATA

•   FEJLSØG

--help, -h
    show this help message and exit

--input-profile
    Vælg input-profil. Input-profilen vejleder systemet i hvorledes forskellig information i input-dokumentet skal tolkes. F.eks. opløsningsafhængige længder (f.eks. pixel-længde). Valgmuligheder er:cybookg3, cybook_opus, default, hanlinv3, hanlinv5, illiad, irexdr1000, irexdr800, kindle, msreader, mobipocket, nook, sony, sony300, sony900

--list-recipes
    List builtin recipe names. You can create an e-book from a builtin recipe like this: ebook-convert "Recipe Name.recipe" output.epub

--output-profile
    Specify the output profile. The output profile tells the conversion system how to optimize the created document for the specified device (such as by resizing images for the device screen size). In some cases, an output profile can be used to optimize the output for a particular device, but this is rarely necessary. Choices are:cybookg3, cybook_opus, default, generic_eink, generic_eink_hd, generic_eink_large, hanlinv3, hanlinv5, illiad, ipad, ipad3, irexdr1000, irexdr800, jetbook5, kindle, kindle_dx, kindle_fire, kindle_pw, kindle_pw3, kindle_voyage, kobo, msreader, mobipocket, nook, nook_color, nook_hd_plus, pocketbook_900, pocketbook_pro_912, galaxy, sony, sony300, sony900, sony-landscape, sonyt3, tablet

--version
    show program's version number and exit

INPUT VALGMULIGHEDER

Valgmuligheder til styring af behandlingen af input mobi filen

--input-encoding
    Angiv tegnsættet for kildedokumentet. Hvis denne indstilling vælges, vil dokumentets tegnsætsvalg overskrives. Især nyttig til dokumenter, hvor tegnsæt ikke er valgt eller har fejlagtige tegnsætsvalg.

OUTPUT VALGMULIGHEDER

Valgmuligheder til styring af behandlingen af output epub

--dont-split-on-page-breaks
    Turn off splitting at page breaks. Normally, input files are automatically split at every page break into two files. This gives an output e-book that can be parsed faster and with less resources. However, splitting is slow and if your source file contains a very large number of page breaks, you should turn off splitting on page breaks.

--epub-flatten
    This option is needed only if you intend to use the EPUB with FBReaderJ. It will flatten the file system inside the EPUB, putting all files into the top level.

--epub-inline-toc
    Indsæt en indholdsfortegnelse som vil blive vist som en del af bogens indhold.

--epub-toc-at-end
    Indsæt indholdsfortegnelsen i enden af bogen istedet for ved begyndelsen.

--extract-to
    Extract the contents of the generated EPUB file to the specified directory. The contents of the directory are first deleted, so be careful.

--flow-size
    Split all HTML files larger than this size (in KB). This is necessary as most EPUB readers cannot handle large file sizes. The default of 260KB is the size required for Adobe Digital Editions. Set to 0 to disable size based splitting.

--no-default-epub-cover
    Normalt, hvis input-filen ikke har et omslag og du ikke angiver et, vil et standard omslag genereres med titel, forfattere, osv. Denne valgmulighed deaktiverer genereringen af dette omslag.

--no-svg-cover
    Anvend ikke SVG (Scalable Vector Graphics) til et e-bogsomslag. Anvend denne valgmulighed hvis din EPUB skal anvendes til en enhed som ikke understøtter SVG, som f.eks. iPhone eller JetBook Lite. Uden dette fravalg vil disse enheder blot vise omslaget som en blank side.

--preserve-cover-aspect-ratio
    Når et SVG omslag anvendes, vil denne valgmulighed gøre at omslaget skaleres til skærmstørrelsen, men stadig bevare aspektforholdet (forholdet mellem bredde og højde). Dette betyder at der kan forekomme hvide flader ved siderne eller top og bund af illustationen, men det forvrænges. Uden denne valgmulighed vil billedet i en del tilfælde blive forvrænget, men skærmen vil fyldes ud.

--pretty-print
    Hvis angivet, vil uddata-udvidelsesmodulet prøve at oprette uddata, der er så læsbart som muligt. Vil muligvis ikke have virkning for visse uddata-udvidelsesmoduler.

--toc-title
    Titel for enhver genereret in-line indholdsfortegnelse.

UDSEENDE OG OPFØRELSE

Valgmuligheder til styring af udseendet af output

--asciiize
    Transliterate unicode characters to an ASCII representation. Use with care because this will replace unicode characters with ASCII. For instance it will replace "Михаил Горбачёв" with "Mikhail Gorbachiov". Also, note that in cases where there are multiple representations of a character (characters shared by Chinese and Japanese for instance) the representation based on the current calibre interface language will be used.

--base-font-size
    Grundskriftstørrelse i pkt (typografiske punkter). Alle skriftstørrelser i den dannede bog vil blive skaleret på baggrund af denne størrelse. Ved at vælge en større skriftstype, kan du gøre skriftstørrelsen i det konverterede større og omvendt. Grundskriftstørrelsen bliver valgt med udgangspunkt i den output-profil du vælger.

--change-justification
    Vælg afsnitsjustering. "left" giver venstremargin. "justify" giver lige margin. "original" (standard) - ingen ændring. Bemærk at kun nogle output-formater understøtter lige margin.

--disable-font-rescaling
    Deaktivér alle reskaleringer af skriftsstørrelser

--embed-all-fonts
    Embed every font that is referenced in the input document but not already embedded. This will search your system for the fonts, and if found, they will be embedded. Embedding will only work if the format you are converting to supports embedded fonts, such as EPUB, AZW3, DOCX or PDF. Please ensure that you have the proper license for embedding the fonts used in this document.

--embed-font-family
    Embed the specified font family into the book. This specifies the "base" font used for the book. If the input document specifies its own fonts, they may override this base font. You can use the filter style information option to remove fonts from the input document. Note that font embedding only works with some output formats, principally EPUB, AZW3 and DOCX.

--expand-css
    By default, calibre will use the shorthand form for various CSS properties such as margin, padding, border, etc. This option will cause it to use the full expanded form instead. Note that CSS is always expanded when generating EPUB files with the output profile set to one of the Nook profiles as the Nook cannot handle shorthand CSS.

--extra-css
    Enten stien til en CSS stylesheet eller rå CSS. Dette CSS vil blive tilføjet til stilreglerne fra kildefilen, så de tilsidesætte de oprindelige stilregler.

--filter-css
    A comma separated list of CSS properties that will be removed from all CSS style rules. This is useful if the presence of some style information prevents it from being overridden on your device. For example: font-family,color,margin-left,margin-right

--font-size-mapping
    Afbildning fra CSS skriftsnavne til skriftsstørrelser i pkt (typografiske punkter). Et eksempel valg er 12,12,14,16,18,20,22,24. Disse afbildninger er skriftsstørrelserne for xx-small til xx-large, med den sidste størrelser for store skriftsstørrelser. Skrifternes reskaleringsalgoritme anvender disse størrelser som målestok. Standardværdien fås fra en output-profil du tidligere har valgt.

--insert-blank-line
    Håndhæv blank linje (=to linjeskift) mellem afsnit. Valget har ikke effekt på kildefiler, som ikke indeholder <p> eller <div> tags.

--insert-blank-line-size
    Set the height of the inserted blank lines (in em). The height of the lines between paragraphs will be twice the value set here.

--keep-ligatures
    Bevar evt. ligaturer i input-dokumentet. En ligatur er en speciel skrivning af et par bogstaver såsom ff, fi, fl et cetera. De fleste e-bogslæsere understøtter ikke ligaturer i deres standardskriftstyper og de vil derfor ikke vises korrekt. Som standard vil calibre translitterære en ligatur til korresponderende par af normale bogstaver. Dette valg bibeholde ligaturer.

--line-height
    The line height in pts. Controls spacing between consecutive lines of text. Only applies to elements that do not define their own line height. In most cases, the minimum line height option is more useful. By default no line height manipulation is performed.

--linearize-tables
    Nogle dårligt designede dokumenter anvender tabeller til layout-styring af sidens tekstelementer. Når disse dokumenter konverteres, har de ofte tekstelementer som løber ud af skærmen eller andre mærkværdigheder. Dette valg vil fjerne tabellen og sammensætte tekstelementerne i læserækkefølge.

--margin-bottom
    Set the bottom margin in pts. Default is 5.0. Setting this to less than zero will cause no margin to be set (the margin setting in the original document will be preserved). Note: Page oriented formats such as PDF and DOCX have their own margin settings that take precedence.

--margin-left
    Set the left margin in pts. Default is 5.0. Setting this to less than zero will cause no margin to be set (the margin setting in the original document will be preserved). Note: Page oriented formats such as PDF and DOCX have their own margin settings that take precedence.

--margin-right
    Set the right margin in pts. Default is 5.0. Setting this to less than zero will cause no margin to be set (the margin setting in the original document will be preserved). Note: Page oriented formats such as PDF and DOCX have their own margin settings that take precedence.

--margin-top
    Set the top margin in pts. Default is 5.0. Setting this to less than zero will cause no margin to be set (the margin setting in the original document will be preserved). Note: Page oriented formats such as PDF and DOCX have their own margin settings that take precedence.

--minimum-line-height
    The minimum line height, as a percentage of the element's calculated font size. calibre will ensure that every element has a line height of at least this setting, irrespective of what the input document specifies. Set to zero to disable. Default is 120%. Use this setting in preference to the direct line height specification, unless you know what you are doing. For example, you can achieve "double spaced" text by setting this to 240.

--remove-paragraph-spacing
    Fjern afstand mellem afsnit. Der vælges også et indryk på 1,5em. Spacing removal will not work if the source file does not use paragraphs Valget har ikke effekt på kildefiler, som ikke indeholder <p> eller <div> tags.

--remove-paragraph-spacing-indent-size
    When calibre removes blank lines between paragraphs, it automatically sets a paragraph indent, to ensure that paragraphs can be easily distinguished. This option controls the width of that indent (in em). If you set this value negative, then the indent specified in the input document is used, that is, calibre does not change the indentation.

--smarten-punctuation
    Convert plain quotes, dashes and ellipsis to their typographically correct equivalents. For details, see https://daringfireball.net/projects/smartypants

--subset-embedded-fonts
    Subset all embedded fonts. Every embedded font is reduced to contain only the glyphs used in this document. This decreases the size of the font files. Useful if you are embedding a particularly large font with lots of unused glyphs.

--transform-css-rules
    Path to a file containing rules to transform the CSS styles in this book. The easiest way to create such a file is to use the wizard for creating rules in the calibre GUI. Access it in the "Look & feel->Transform styles" section of the conversion dialog. Once you create the rules, you can use the "Export" button to save them to a file.

--unsmarten-punctuation
    Konverter dekorative citater, bindestreger og ellipse til deres almindelige ækvivalenter.

HEURISTISK BEHANDLING

Modify the document text and structure using common patterns. Disabled by default. Use –enable-heuristics to enable. Individual actions can be disabled with the –disable-* options.

--disable-dehyphenate
    Analyze hyphenated words throughout the document. The document itself is used as a dictionary to determine whether hyphens should be retained or removed.

--disable-delete-blank-paragraphs
    Fjern tomme afsnit fra dokumentet, når de eksisterer mellem hvertandet afsnit

--disable-fix-indents
    Turn indentation created from multiple non-breaking space entities into CSS indents.

--disable-format-scene-breaks
    Left aligned scene break markers are center aligned. Replace soft scene breaks that use multiple blank lines with horizontal rules.

--disable-italicize-common-cases
    Søg efter almindelige ord og mønstre der angiver kursiveret tekst og kursiver dem.

--disable-markup-chapter-headings
    Detect unformatted chapter headings and sub headings. Change them to h2 and h3 tags. This setting will not create a TOC, but can be used in conjunction with structure detection to create one.

--disable-renumber-headings
    Looks for occurrences of sequential <h1> or <h2> tags. The tags are renumbered to prevent splitting in the middle of chapter headings.

--disable-unwrap-lines
    Unwrap lines using punctuation and other formatting clues.

--enable-heuristics
    Slå heuristisk behandling til. Dette skal være slået til for heuristisk behandling kan finde sted overhovedet.

--html-unwrap-factor
    Scale used to determine the length at which a line should be unwrapped. Valid values are a decimal between 0 and 1. The default is 0.4, just below the median line length. If only a few lines in the document require unwrapping this value should be reduced

--replace-scene-breaks
    Replace scene breaks with the specified text. By default, the text from the input document is used.

SØG OG ERSTAT

Ændre dokumentets tekst og struktur vha. brugerdefinerede mønstre.

--search-replace
    Path to a file containing search and replace regular expressions. The file must contain alternating lines of regular expression followed by replacement pattern (which can be an empty line). The regular expression must be in the Python regex syntax and the file must be UTF-8 encoded.

--sr1-replace
    Erstatning som skal erstatte teksten fundet med sr1-search.

--sr1-search
    Søgemønster (regulært udtryk) som skal erstattes med sr1-replace.

--sr2-replace
    Erstatning som skal erstatte teksten fundet med sr2-search.

--sr2-search
    Søgemønster (regulært udtryk) som skal erstattes med sr2-replace.

--sr3-replace
    Erstatning som skal erstatte teksten fundet med sr3-search.

--sr3-search
    Søgemønster (regulært udtryk) som skal erstattes med sr3-replace.

STRUKTURDETEKTERING

Styring af auto-detektion af dokumentets struktur.

--chapter
    An XPath expression to detect chapter titles. The default is to consider <h1> or <h2> tags that contain the words "chapter", "book", "section", "prologue", "epilogue" or "part" as chapter titles as well as any tags that have class="chapter". The expression used must evaluate to a list of elements. To disable chapter detection, use the expression "/". See the XPath Tutorial in the calibre User Manual for further help on using this feature.

--chapter-mark
    Angiv hvordan detekterede kapitler skal fremhæves. Værdien "pagebreak" vil indsætte sideskift før kapitler. Værdien "rule" vil indsætte et linjeskift før kapitler. Værdien "none" vil deaktivere fremhævningen - og værdien "both" vil bruge både sideskift og linjeskift som kapitelfremhævning.

--disable-remove-fake-margins
    Some documents specify page margins by specifying a left and right margin on each individual paragraph. calibre will try to detect and remove these margins. Sometimes, this can cause the removal of margins that should not have been removed. In this case you can disable the removal.

--insert-metadata
    Insert the book metadata at the start of the book. This is useful if your e-book reader does not support displaying/searching metadata directly.

--page-breaks-before
    An XPath expression. Page breaks are inserted before the specified elements. To disable use the expression: /

--prefer-metadata-cover
    Brug omslaget fra kildefilen fremfor det angivne omslag.

--remove-first-image
    Remove the first image from the input e-book. Useful if the input document has a cover image that is not identified as a cover. In this case, if you set a cover in calibre, the output document will end up with two cover images if you do not specify this option.

--start-reading-at
    An XPath expression to detect the location in the document at which to start reading. Some e-book reading programs (most prominently the Kindle) use this location as the position at which to open the book. See the XPath tutorial in the calibre User Manual for further help using this feature.

INDHOLDSFORTEGNELSE

Styring af den automatiske generering af indholdsfortegnelsen. Som udgangspunkt vil en evt. indholdsfortegnelse i kildefilen blive foretrukket, fremfor en selvgenereret.

--duplicate-links-in-toc
    When creating a TOC from links in the input document, allow duplicate entries, i.e. allow more than one entry with the same text, provided that they point to a different location.

--level1-toc
    XPath expression that specifies all tags that should be added to the Table of Contents at level one. If this is specified, it takes precedence over other forms of auto-detection. See the XPath Tutorial in the calibre User Manual for examples.

--level2-toc
    XPath expression that specifies all tags that should be added to the Table of Contents at level two. Each entry is added under the previous level one entry. See the XPath Tutorial in the calibre User Manual for examples.

--level3-toc
    XPath expression that specifies all tags that should be added to the Table of Contents at level three. Each entry is added under the previous level two entry. See the XPath Tutorial in the calibre User Manual for examples.

--max-toc-links
    Maksimalt antal isatte henvisninger i indholdsfortegnelsen. Vælg 0 for deaktivering. Standardværdi er: 50. Henvisninger tilføjes kun til indholdsfortegnelsen hvis mindre end kapitelantal tærsklen.

--no-chapters-in-toc
    Tilføj ikke auto-detekterede kapitler til indholdsfortegnelsen.

--toc-filter
    Fjern indgange i indholdfortegnelse med titler, der matcher det valgte regulære udtryk. Matchende indgange og alle deres underindgange fjernes.

--toc-threshold
    Hvis færre end dette antal kapitler er genkendt, bliver henvisninger tilføjet til indholdsfortegnelsen. Standardværdi: 6

--use-auto-toc
    Hvis kildefilen allerede har en indholdsfortegnelse, vil den normalt blive anvendt i stedet for den auto-genererede. Med denne indstilling vil den auto-genererede altid blive brugt.

METADATA

Muligheder for at angive metadata i output

--author-sort
    Forfatterversion anvendt ved sortering.

--authors
    Angiv forfatterne. Flere forfattere skal separeres ampersand.

--book-producer
    Angiv bogens bogens producer.

--comments
    Set the e-book description.

--cover
    Vælg omslaget via den angivne fil eller URL

--isbn
    Angiv bogens ISBN.

--language
    Vælg sprog.

--pubdate
    Set the publication date (assumed to be in the local timezone, unless the timezone is explicitly specified)

--publisher
    Set the e-book publisher.

--rating
    Angiv vurdering. Skal være et heltal i intervallet 1 til 5.

--read-metadata-from-opf, --from-opf, -m
    Indlæs metadata fra den angivne OPF-fil. Metadata læsning fra denne fil vil tilsidesætte metadata i kildefilen.

--series
    Set the series this e-book belongs to.

--series-index
    Angiv bogens indeks i denne serie.

--tags
    Angiv bogens mærkater. Skal være en kommasepareret liste.

--timestamp
    Sæt bogens tidsmærke (bliver ikke længere brugt noget sted)

--title
    Angiv titlen.

--title-sort
    Titelversion anvendt ved sortering.

FEJLSØG

Muligheder der kan hjælpe med konverteringsfejlfinding

--debug-pipeline, -d
    Gem output fra forskellige trin i konverteringen til den valgte mappe. Nyttig, såfremt du er usikker på, hvornår i konverteringen en given fejl sker.

--verbose, -v
    Level of verbosity. Specify multiple times for greater verbosity. Specifying it twice will result in full verbosity, once medium verbosity and zero times least verbosity.

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal